<template>
    <article class="grid grid-cols-1 gap-5 pb-12 md:gap-3 md:grid-cols-none md:grid-flow-col md:auto-cols-auto">
        <RouterLink :to="'/profile/' + props.person.id" class="relative h-[260px] md:h-[244px] w-full md:w-[190px]">
            <img v-if="props.person.fields['Is requestable']" src="../assets/img/Yes.svg" alt="Friend requestable" class="absolute w-5 h-5 top-2 left-3">
            <img v-else src="../assets/img/No.svg" alt="Friend not requestable" class="absolute w-5 h-5 top-2 left-3">

            <img :src="props.person.fields['Profile image'][0].thumbnails.large.url" :alt="props.person.fields.Name" class="object-cover w-full h-full rounded-lg md:shadow-desktop shadow-mobile">
        </RouterLink>

        <div class="flex flex-col justify-between">
            <div>
                <div class="flex items-center justify-between">
                    <h2 class="text-xl font-extrabold">{{ props.person.fields.Name }}</h2>

                    <!-- social links mobile -->
                    <div class="flex gap-2 md:hidden">
                        <a v-if="props.person.fields['Linkedin url']" :href="props.person.fields['Linkedin url']">
                            <img src="../assets/img/Linkedin.svg" alt="LinkedIn" class="h-6">
                        </a>
                        <a v-if="props.person.fields['Twitter url']" :href="props.person.fields['Twitter url']">
                            <img src="../assets/img/Twitter.svg" alt="Twitter" class="h-6">
                        </a>
                    </div>
                    <!-- / -->
                </div>
                <h3 class="text-sm font-bold capitalize text-zinc-400">{{ props.person.fields.Role }}</h3>
                <p class="mt-2">{{ props.person.fields.Bio.substring(0, 200) + '...' }}</p>
            </div>

            <!-- social links desktop -->
            <div class="hidden gap-2 md:flex">
                <a v-if="props.person.fields['Linkedin url']" :href="props.person.fields['Linkedin url']">
                    <img src="../assets/img/Linkedin.svg" alt="LinkedIn" class="h-6">
                </a>
                <a v-if="props.person.fields['Twitter url']" :href="props.person.fields['Twitter url']">
                    <img src="../assets/img/Twitter.svg" alt="Twitter" class="h-6">
                </a>
            </div>
            <!-- / -->
        </div>
    </article>
</template>

<script setup>
const props = defineProps({
    person: Object,
});
</script>

